BASENAME(1)

BEZEICHNUNG
basename - Verzeichnis und Suffix von Dateinamen entfernen

ÜBERSICHT
basename NAME [SUFFIX]
basename OPTION… NAME…

BESCHREIBUNG

Den NAMEn ohne führende Verzeichnisse ausgeben. Wenn angegeben, auch SUFFIX entfernen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --multiple
    Mehrere Argumente unterstützen und jedes als NAME behandeln

-s, --suffix=ENDUNG
    Ein nachfolgendes SUFFIX entfernen; bezieht -a ein

-z, --zero
    Jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs abschließen

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

BEISPIELE

basename /usr/bin/sort
    -> »sort«

basename include/stdio.h .h
    -> »stdio«

basename -s .h include/stdio.h
    -> »stdio«

basename -a irgendwas/str1 irgendwas/str2
    -> »str1«, gefolgt von »str2«

AUTOR
Geschrieben von David MacKenzie.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
dirname(1), readlink(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/basename>
oder lokal verfügbar mit: info '(coreutils) basename invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).